Bug 182732 - lang files are missing for hi/ta
lang files are missing for hi/ta
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-24 07:06 EST by A S Alam
Modified: 2013-07-02 20:37 EDT (History)
5 users (show)

See Also:
Fixed In Version: evolution-2.6.1-1.fc5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-23 01:33:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 332808 None None None Never

  None (edit)
Description A S Alam 2006-02-24 07:06:23 EST
Description of problem:
in SRPM, hi (Hindi) and Tamil (ta) is missing.

Version-Release number of selected component (if applicable):
evolution-2.5.90-2.1

How reproducible:
everytime

Steps to Reproduce:
1. ls /usr/share/locale/hi/LC_MESSAGES/
2. no FIle "evolution.mo"
3.
  
Actual results:
No evolution.mo File

Expected results:
evolution.mo must be there

Additional info:
Hindi
http://i18n-status.gnome.org/gnome-2.14/hi/desktop/index.html

Tamil
http://i18n-status.gnome.org/gnome-2.14/ta/desktop/index.html

webcvs
http://cvs.gnome.org/viewcvs/evolution/po/
Comment 1 Frank Arnold 2006-02-24 16:21:30 EST
(In reply to comment #0)
> Expected results:
> evolution.mo must be there

No, they can't be there. Translators forgot to add their language to ALL_LINGUAS
in configure.in. For Hindi it was done in evolution-1-4-branch, but not on HEAD.

http://cvs.gnome.org/viewcvs/evolution/configure.in?rev=1.882

Last translators: rranjan_AT_redhat.com (hi), jaya_AT_pune.redhat.com (ta)
Comment 2 A S Alam 2006-02-24 21:50:13 EST
I addeed Hindi and Tamil Translator in Bug, so that they can take care for issue.
Comment 3 Dave Malcolm 2006-02-27 11:29:40 EST
This needs to be filed in the upstream bug tracker at bugzilla.gnome.org (please
add a link to that bug here), and the issue raised on the
evolution-patches@gnome.org mailing list; the translators should do this as soon
as possible in order to catch the train for 2.6

The relevant language names need to be added to ALL_LINGUAS in configure.in on
HEAD in order for the languages to make it into the source tarballs.

Looking at:
http://cvs.gnome.org/viewcvs/evolution/configure.in?rev=1.883&view=markup
this hasn't yet been done.
Comment 4 Rajesh Ranjan 2006-02-28 01:11:33 EST
I added Hindi in configure.in  for evolution.
Comment 5 Dave Malcolm 2006-02-28 12:29:34 EST
Note that this is fixed in CVS, but not in time for the 2.5.92 tarball; should
be in the next tarball

Note You need to log in before you can comment on or make changes to this bug.